Game Passes (v1)
OpenCloud v1 reference for Game Passes.
Base URL: https://apis.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
POST |
/game-passes/v1/universes/:universeId/game-passes |
postGamePassesV1UniversesUniverseIdGamePasses |
PATCH |
/game-passes/v1/universes/:universeId/game-passes/:gamePassId |
patchGamePassesV1UniversesUniverseIdGamePassesGamePassId |
GET |
/game-passes/v1/universes/:universeId/game-passes/:gamePassId/creator |
getGamePassesV1UniversesUniverseIdGamePassesGamePassIdCreator |
GET |
/game-passes/v1/universes/:universeId/game-passes/creator |
getGamePassesV1UniversesUniverseIdGamePassesCreator |
postGamePassesV1UniversesUniverseIdGamePasses
Section titled “postGamePassesV1UniversesUniverseIdGamePasses”POST /game-passes/v1/universes/:universeId/game-passes
BETA Creates a new game pass with the provided configuration details. Engine: Not available in-engine
Scopes: game-pass:write
Usage
import { fetchApi } from 'rozod';import { postGamePassesV1UniversesUniverseIdGamePasses } from 'rozod/opencloud/v1/game-passes';
const data = await fetchApi(postGamePassesV1UniversesUniverseIdGamePasses, { universeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe ID. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name |
string |
|
description |
string | null | undefined |
|
imageFile |
File | null | undefined |
|
isForSale |
boolean | null | undefined |
|
price |
number | null | undefined |
|
isRegionalPricingEnabled |
boolean | null | undefined |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
gamePassId |
number |
|
name |
string |
|
description |
string |
|
isForSale |
boolean |
|
iconAssetId |
number |
|
createdTimestamp |
string |
|
updatedTimestamp |
string |
|
priceInformation |
object | null |
See below |
priceInformation fields:
| Field | Type | Description |
|---|---|---|
defaultPriceInRobux |
number | null |
|
enabledFeatures |
`“Invalid” | “PriceOptimization” |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
patchGamePassesV1UniversesUniverseIdGamePassesGamePassId
Section titled “patchGamePassesV1UniversesUniverseIdGamePassesGamePassId”PATCH /game-passes/v1/universes/:universeId/game-passes/:gamePassId
BETA Updates a game pass with the provided configuration details. Note that only fields provided in the request will be updated. Engine: Not available in-engine
Scopes: game-pass:write
Usage
import { fetchApi } from 'rozod';import { patchGamePassesV1UniversesUniverseIdGamePassesGamePassId } from 'rozod/opencloud/v1/game-passes';
const data = await fetchApi(patchGamePassesV1UniversesUniverseIdGamePassesGamePassId, { universeId: /* integer */, gamePassId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe ID. |
gamePassId |
integer |
Yes | The game pass ID. |
Request Body
Section titled “Request Body”All fields are optional (PATCH partial update)
| Field | Type | Description |
|---|---|---|
name |
string | null |
|
description |
string | null |
|
file |
File | null |
|
isForSale |
boolean | null |
|
price |
number | null |
|
isRegionalPricingEnabled |
boolean | null |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 409 | Conflict |
getGamePassesV1UniversesUniverseIdGamePassesGamePassIdCreator
Section titled “getGamePassesV1UniversesUniverseIdGamePassesGamePassIdCreator”GET /game-passes/v1/universes/:universeId/game-passes/:gamePassId/creator
BETA Get game pass with configuration details Engine: Not available in-engine
Scopes: game-pass:read
Usage
import { fetchApi } from 'rozod';import { getGamePassesV1UniversesUniverseIdGamePassesGamePassIdCreator } from 'rozod/opencloud/v1/game-passes';
const data = await fetchApi(getGamePassesV1UniversesUniverseIdGamePassesGamePassIdCreator, { universeId: /* integer */, gamePassId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe ID. |
gamePassId |
integer |
Yes | The game pass ID. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
gamePassId |
number |
|
name |
string |
|
description |
string |
|
isForSale |
boolean |
|
iconAssetId |
number |
|
createdTimestamp |
string |
|
updatedTimestamp |
string |
|
priceInformation |
object | null |
See below |
priceInformation fields:
| Field | Type | Description |
|---|---|---|
defaultPriceInRobux |
number | null |
|
enabledFeatures |
`“Invalid” | “PriceOptimization” |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
getGamePassesV1UniversesUniverseIdGamePassesCreator
Section titled “getGamePassesV1UniversesUniverseIdGamePassesCreator”GET /game-passes/v1/universes/:universeId/game-passes/creator
BETA List game passes by universe with configuration details Engine: Not available in-engine
Scopes: game-pass:read
Usage
import { fetchApi } from 'rozod';import { getGamePassesV1UniversesUniverseIdGamePassesCreator } from 'rozod/opencloud/v1/game-passes';
const data = await fetchApi(getGamePassesV1UniversesUniverseIdGamePassesCreator, { universeId: /* integer */, pageSize: /* integer? */, pageToken: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe ID. |
pageSize |
integer? |
No | The number of results to return. Defaults to 50 if not provided. |
pageToken |
string? |
No | The cursor token for pagination. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
gamePasses |
object[] |
See below |
nextPageToken |
string | null |
gamePasses[] item fields:
| Field | Type | Description |
|---|---|---|
gamePassId |
number |
|
name |
string |
|
description |
string |
|
isForSale |
boolean |
|
iconAssetId |
number |
|
createdTimestamp |
string |
|
updatedTimestamp |
string |
|
priceInformation |
object | null |
See below |
priceInformation fields:
| Field | Type | Description |
|---|---|---|
defaultPriceInRobux |
number | null |
|
enabledFeatures |
`“Invalid” | “PriceOptimization” |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |